Endpoint reference
Docker Image
Docker Image get Images
Authorization
apiKey x-api-key<token>
API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
serverId?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/dockerImage.getImages"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Docker Image get Image Config
Authorization
apiKey x-api-key<token>
API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
imageRef*string
Length
1 <= lengthserverId?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/dockerImage.getImageConfig?imageRef=string"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Docker Image remove Image
Authorization
apiKey x-api-key<token>
API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
repository*string
tag*string
id*string
Length
1 <= lengthforce?boolean
serverId?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/dockerImage.removeImage" \ -H "Content-Type: application/json" \ -d '{ "repository": "string", "tag": "string", "id": "string" }'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}